LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XEmbedObjectClipboardCreator Interface Referencepublished

allows to create and initialize a new embedded object from clipboard. More...

`import"XEmbedObjectClipboardCreator.idl";`

Inheritance diagram for XEmbedObjectClipboardCreator:

## Public Member Functions
InsertedObjectInfo | createInstanceInitFromClipboard ([in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntryName, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| creates a new object and initializes it from the system clipboard. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to create and initialize a new embedded object from clipboard.

This interface contains methods that can help to create and initialize an embedded object based on system clipboard.

## Member Function Documentation

## ◆ createInstanceInitFromClipboard()

InsertedObjectInfo createInstanceInitFromClipboard | ( | [in] ::com::sun::star::embed::XStorage | xStorage,
|  | [in] string | sEntryName,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aObjectArgs
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception
| ) |  |

creates a new object and initializes it from the system clipboard.

In case specified entry exists it's contents are ignored and will be overwritten on storing.

The clipboard can provide a number of choices that are container related. This information will be returned in the InsertedObjectInfo object.

Parameters

  xStorage | a parent storage the entry should be created/opened in
  sEntryName | a name for the entry
  aObjectArgs | optional parameters for the object persistence initialization see also EmbeddedObjectDescriptor

Returns
  the structure containing the object and container related options

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of arguments is illegal
  com::sun::star::io::IOException | in case of io problems during opening or creation
  com::sun::star::uno::Exception | in case of other problems

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XEmbedObjectClipboardCreator.idl